Bug 529583 - Wrong settings detected
Summary: Wrong settings detected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-18 21:00 UTC by Michael Monreal
Modified: 2015-02-01 22:49 UTC (History)
7 users (show)

Fixed In Version: 1.0.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 04:37:51 UTC


Attachments (Terms of Use)
Screenshot (51.98 KB, image/png)
2009-10-18 21:00 UTC, Michael Monreal
no flags Details
ABRT log file related to failure of module "Drempels" (11.69 KB, text/plain)
2009-11-04 08:57 UTC, Joachim Frieben
no flags Details

Description Michael Monreal 2009-10-18 21:00:42 UTC
Created attachment 365181 [details]
Screenshot

Today when I was playing with abrt it popped up a disfigured window "Wrong settings detected". This window

- has no window icon
- had bad window padding
- has yes/no buttons instead of cancel/continue
- has a rather strange button with a cancel icon behind it

Comment 1 Joachim Frieben 2009-10-21 11:00:43 UTC
Apart from the cosmetical aspect, I do encounter the same issue related to the Bugzilla plugin despite having configured /etc/abrt/plugins/Bugzilla.conf:

  # Bugzilla URL
  BugzillaURL = https://bugzilla.redhat.com/
  # yes means that ssl certificates will not be checked
  NoSSLVerify = no
  # your login has to exist, if you don have any, please create one
  Login = <redhat-bugzilla-login-id>
  # your password
  Password = **********

It is unclear to me which wrong settings abrtd is actually complaining about. Moreover, not a single buttons does respond to any interaction via keyboard or mouse. Thus, it is impossible to abort this operation except by logging out ..

Comment 2 Joachim Frieben 2009-10-21 11:07:20 UTC
Ok, I finally found a hidden dialog window prompting me for Bugzilla ID and password. I wonder whether the initial focus was correct and whether the window had been opened in front of the other windows. Anyway, the same login Id and password had already been entered in /etc/abrt/plugins/Bugzilla.conf, so, it is curious why one is prompted to enter them again.

Comment 3 Joachim Frieben 2009-11-04 08:57:10 UTC
Created attachment 367421 [details]
ABRT log file related to failure of module "Drempels"

Comment 4 Joachim Frieben 2009-11-04 08:58:34 UTC
Comment on attachment 367421 [details]
ABRT log file related to failure of module "Drempels"

Sorry, wrong bug report.

Comment 5 Jiri Moskovcak 2009-11-04 09:40:50 UTC
#2 the hiding window is fixed in abrt 0.0.11 which should hit the repo soon

As for the empty password - the local settings (saved in keyring) have higher priority then the settings in /etc/abrt/plugins/Bugzilla.conf, but if you never tried to change them from gui it should use the defaults, so it's probably a bug and I'll look into it.

Thanks,
Jirka

Comment 6 Bug Zapper 2009-11-16 13:48:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Fedora Update System 2009-11-22 20:44:11 UTC
abrt-1.0.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/abrt-1.0.0-1.fc12

Comment 8 Fedora Update System 2009-11-25 15:10:06 UTC
abrt-1.0.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abrt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12098

Comment 9 Fedora Update System 2009-12-01 04:36:54 UTC
abrt-1.0.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.